Skip to main content

Get App Credentials

Get App Credentials API will return a the data that match the given parameters.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

GET https://{tenantId}.{hostname}/digitanium/v4/apps/{appname}/credentials

OR

GET https://{tenantId}.{hostname}/digitanium/v4/app/secret?appname={appname}

HTTP request URL for SHIFT​

GET https://{hostname}/auth/realms/{tenantId}/v3_client/secret/{appname}
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

Parameter NameTypeDescription
appnameStringUnique appName of the application

Request body​

No request body fields are required.

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.
dataStringThe client secret, generated during app creation.

Sample Response​

{
"message": "App credential fetched successfully",
"status": "OK",
"subSystem": 2,
"data": "9d481488-156a-4801-b3f8-9e4ca24e92db"
}

Response Status Information​

Status CodeStatusMessage
200OKApp credential fetched successfully
401UnauthorizedHTTP 401 Unauthorized
404APP_NOT_FOUND_STATUSApp does not exist